.site-link {
  --scale: calc(var(--hover-scale) + 0.66rem);
  --half-scale: calc(var(--scale) * -0.5);
  position: relative;
  width: max-content;
  // z-index: 10;
  display: block;
  &:visited {
    text-decoration: none;
  }
  &.has-circle {
    &::after {
      content: "";
      display: block;
      height: 0.175rem;
      position: absolute;
      right: 0;
      left: 0;
      bottom: -3px;
      background-color: transparent;
      transition: background-color 0.2s ease-out;
    }
    @media all and (min-width: 800px) {
      &::after {
        content: "";
        position: relative;
        height: 0;
        width: 0;
      }
      &::before {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        border-color: transparent;
        border-width: 0.35rem;
        border-style: solid;
        border-radius: 100%;
        // transform: scale(1.15, 1.9);
        transition: border-color 0.2s ease-out;
        width: calc(100% + var(--scale));
        height: calc(100% + var(--scale));
        transform: translate(var(--half-scale), var(--half-scale));

        // z-index: 6;
      }
    }
  }
  &.has-underline {
    &::after {
      content: "";
      display: block;
      height: 0.25rem;
      position: absolute;
      right: 0;
      left: 0;
      bottom: -3px;
      background-color: transparent;
      transition: background-color 0.2s ease-out;
    }
  }

  @each $name, $color in $colors {
    &.hover\:#{$name} {
      &:hover {
        color: $color;
        &::before {
          border-color: $color;
        }
        &::after {
          background-color: $color;
        }
      }
    }
  }
}
